> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ulm.m1amdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post activationadduser

> Creates new User.<br><br>Mandatory Fields:<br>- authnIdentifiers value - email or mobile number of the user<br>- authnIdentifiers primary - must always be set to true<br><br>Optional Fields:<br>- displayName<br>- firstName<br>- lastName<br>- authnIdentifers mfaEnabled - when the value is set to true, the authnIdentifiers value will be used as the second factor during authentication.



## OpenAPI

````yaml /portal/ConnectActivationAPI.yaml post /activation/addUser
openapi: 3.0.1
info:
  title: Connect Activation APIs
  description: >-
    Connect APIs not requiring user context, authenticated with a partner
    authorization header. Connect Activation APIs allow customers to manage
    Connect entities, and synchronize them with customer information in their
    own systems. Access to these calls is restricted through Connect client
    credentials OIDC.
  version: Draft-Go
servers:
  - url: https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85
security: []
paths:
  /activation/addUser:
    post:
      tags:
        - user
      description: >-
        Creates new User.<br><br>Mandatory Fields:<br>- authnIdentifiers value -
        email or mobile number of the user<br>- authnIdentifiers primary - must
        always be set to true<br><br>Optional Fields:<br>- displayName<br>-
        firstName<br>- lastName<br>- authnIdentifers mfaEnabled - when the value
        is set to true, the authnIdentifiers value will be used as the second
        factor during authentication.
      operationId: addUserPOST
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NewUserDto'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NewUserResponseDto'
        '400':
          description: Invalid User input
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserAddResponse400'
        '401':
          description: Not authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Generic401Dto'
        '403':
          description: Not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Generic403Dto'
        '409':
          description: Not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserAddResponse409'
      security:
        - bearerAuth: []
components:
  schemas:
    NewUserDto:
      required:
        - authnIdentifiers
      type: object
      properties:
        displayName:
          type: string
          example: Johny
        firstName:
          type: string
          example: John
        lastName:
          type: string
          example: Smith
        authnIdentifiers:
          $ref: '#/components/schemas/AuthnIdStructure'
    NewUserResponseDto:
      type: object
      properties:
        authnIdentifier:
          type: string
          example: Johny@example.com
        userId:
          type: integer
          format: int64
          example: 2345
        message:
          $ref: '#/components/schemas/NotificationMessageDto'
    UserAddResponse400:
      type: object
      properties:
        fieldErrors:
          type: array
          items:
            $ref: '#/components/schemas/FieldErrorDto'
        operationErrors:
          type: array
          items:
            $ref: '#/components/schemas/UserAddResponse400Error'
    Generic401Dto:
      type: object
      properties:
        stackTrace:
          type: string
          description: Optional, returned only in debug mode.
        operationErrors:
          type: array
          items:
            $ref: '#/components/schemas/Generic401DtoOperationErrors'
      description: General Payload for Authentication Error.
    Generic403Dto:
      type: object
      properties:
        stackTrace:
          type: string
          description: Optional, returned only in debug mode.
        operationErrors:
          type: array
          items:
            $ref: '#/components/schemas/Generic403DtoOperationErrors'
    UserAddResponse409:
      type: object
      properties:
        operationErrors:
          type: array
          items:
            $ref: '#/components/schemas/UserAddResponse409Error'
    AuthnIdStructure:
      required:
        - value
      type: object
      properties:
        value:
          type: string
          description: Value of the indentifier. Can be either Email or Mobile
          example: Johny@example.com
        mfaEnabled:
          type: boolean
          description: Indicates if this identifier is used as MFA
          example: false
        primary:
          type: boolean
          description: >-
            Indicates if this identifier is used as primary. Can be only one for
            a user
          example: true
    NotificationMessageDto:
      type: object
      properties:
        dispatcherName:
          type: string
          example: emailService
        destination:
          type: string
          example: Johny@example.com
        tenantId:
          type: string
          example: nxt
        locale:
          type: string
          example: en
        smsTemplate:
          type: string
          example: sms_template
        emailHeaderTemplate:
          type: string
          example: email_header_template
        emailBodyTemplate:
          type: string
          example: email_body_template
        dispatcherParameters:
          type: object
          additionalProperties: {}
        templatesParams:
          type: object
          additionalProperties: {}
    FieldErrorDto:
      title: FieldErrorDto
      type: object
      properties:
        code:
          type: string
          description: logical error code
          example: NotNull
          deprecated: true
        code_v2:
          type: string
          description: logical error code
          example: not-null
        field:
          type: string
          description: Name of the field in error where error happens
          example: name
        message:
          type: string
          description: Human readable error message
          example: Value must not be null
        rejectedValue:
          type: object
          description: >-
            Rejected value. Only visible when the logging level is at least
            DEBUG
          example: bad value
      description: An error arising from a particular input field or its value
    UserAddResponse400Error:
      type: object
      properties:
        code:
          type: string
          enum:
            - invalid-input-error
        message:
          type: string
          example: No primary authentication identifier provided
    Generic401DtoOperationErrors:
      type: object
      properties:
        code:
          type: string
          enum:
            - authentication-required
        message:
          type: string
          example: Full Authentication Required
    Generic403DtoOperationErrors:
      type: object
      properties:
        code:
          type: string
          enum:
            - ACCESS_FORBIDDEN
            - security-challenge-failed
        message:
          type: string
          example: Access Denied
    UserAddResponse409Error:
      type: object
      properties:
        code:
          type: string
          enum:
            - already-exist-email
            - already-exist-phone
        message:
          type: string
          example: email already exists
  securitySchemes:
    bearerAuth:
      type: oauth2
      description: OAuth 2.0 Authentication
      flows:
        clientCredentials:
          tokenUrl: /oidc/token
          scopes:
            ulm.activation.manage: access to Connect activation API

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.